classification
Title: Improve code and tests for Mixin2to3
Type: behavior Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, benjamin.peterson, eric.araujo, python-dev
Priority: normal Keywords:

Created on 2011-11-23 16:39 by eric.araujo, last changed 2014-03-13 00:59 by eric.araujo. This issue is now closed.

Messages (5)
msg148188 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-23 16:39
Currently distutils2 has two classes and one function to perform 2to3 conversion in the build_py and build_scripts commands.  The code is a bit messy and also lack tests, for example for the conversion of doctests in text files.  I’ve started revamping it so that it’s only one class that does the work, and I will also add many tests.

Benjamin: For Python 2.4 and 2.5, should the functionality just be unavailable or is there an official release of lib2to3 on PyPI?  I only found two2three, an old copy from the Subversion sandbox done by 3to2’s Joe Amenta, so I’m not sure I can be compatible with that (or if it’s even useful to try to convert 2.4 code to 3.x).
msg148191 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-11-23 16:53
Yes, last time I checked 2to3 doesn't work on 2.5 or 2.4. People will just have to run build_py2to3 on 2.6+.
msg148557 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-29 13:03
Thanks, I’ll adapt the code for older Pythons.

Bumped down, I won’t do this for d2 1.0a3.
msg153016 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-02-10 04:11
New changeset b024621a1be6 by Éric Araujo in branch 'default':
Start improving 2to3 code (#13462).
http://hg.python.org/distutils2/rev/b024621a1be6

New changeset cc0f4d208193 by Éric Araujo in branch 'python3':
Merge fixes for #13462 and others from default
http://hg.python.org/distutils2/rev/cc0f4d208193
msg153018 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-02-10 04:13
New changeset 7243c3f18769 by Éric Araujo in branch 'default':
Start improving 2to3 code in packaging (#13462).
http://hg.python.org/cpython/rev/7243c3f18769
History
Date User Action Args
2014-03-13 00:59:20eric.araujosetstatus: open -> closed
resolution: out of date
stage: resolved
2012-03-02 10:27:12eli.benderskysetpriority: normal
2012-02-10 04:13:05python-devsetmessages: + msg153018
2012-02-10 04:11:18python-devsetnosy: + python-dev
messages: + msg153016
2011-11-29 13:03:40eric.araujosetpriority: release blocker -> (no value)

messages: + msg148557
2011-11-23 16:53:17benjamin.petersonsetmessages: + msg148191
2011-11-23 16:39:00eric.araujocreate